Bug 13240 - samba process hangs on shutdown
samba process hangs on shutdown
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.7.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-23 11:24 UTC by Björn Baumbach
Modified: 2018-02-22 09:54 UTC (History)
3 users (show)

See Also:


Attachments
backtrace hanging samba process after sigterm (6.97 KB, text/plain)
2018-01-23 11:24 UTC, Björn Baumbach
no flags Details
fix for 4.7 (from master) (1.20 KB, patch)
2018-01-23 11:29 UTC, Björn Baumbach
asn: review+
vl: review+
Details
fix for 4.6 (1.17 KB, patch)
2018-02-19 12:21 UTC, Björn Baumbach
vl: review+
bb: review? (asn)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Baumbach 2018-01-23 11:24:36 UTC
Created attachment 13920 [details]
backtrace hanging samba process after sigterm

The samba process can hang on shutdown (SIGTERM).

# strace -p 14943
Process 14943 attached
futex(0x7f0bc8ec1620, FUTEX_WAIT_PRIVATE, 2, NULL

Backtrace attached.

Patch from master will follow.
Comment 1 Björn Baumbach 2018-01-23 11:29:34 UTC
Created attachment 13921 [details]
fix for 4.7 (from master)
Comment 2 Andreas Schneider 2018-01-23 13:44:10 UTC
Karolin, could you please add it to 4.7? Thanks!
Comment 3 Karolin Seeger 2018-01-25 14:01:28 UTC
(In reply to Andreas Schneider from comment #2)
Pushed to autobuild-v4-7-test.
Comment 4 Karolin Seeger 2018-01-31 09:50:41 UTC
Pushed to v4-7-test.
Is this an issue in 4.6 also??
Comment 5 Björn Baumbach 2018-02-19 12:21:39 UTC
Created attachment 13967 [details]
fix for 4.6

> Is this an issue in 4.6 also??

Yes! Patch attached :-)
Comment 6 Karolin Seeger 2018-02-20 11:52:08 UTC
(In reply to Björn Baumbach from comment #5)

Thanks!

Pushed to autobuild-v4-6-test.
Comment 7 Karolin Seeger 2018-02-22 09:54:00 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-6-test.
Closing out bug report.

Thanks!